/********************************************************************\
 * messages_de.h -- Messages in Deutsch fr GnuCash                 *
 * Copyright (C) 1999 Jan-Uwe Finck                                 *
 * Copyright (C) 1997 Robin D. Clark                                *
 * Copyright (C) 1997, 1998, 1999 Linas Vepstas 	            *
 *                                                                  *
 * This program is free software; you can redistribute it and/or    *
 * modify it under the terms of the GNU General Public License as   *
 * published by the Free Software Foundation; either version 2 of   *
 * the License, or (at your option) any later version.              *
 *                                                                  *
 * This program is distributed in the hope that it will be useful,  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    *
 * GNU General Public License for more details.                     *
 *                                                                  *
 * You should have received a copy of the GNU General Public License*
 * along with this program; if not, write to the Free Software      *
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 *                                                                  *
 *   Author: Jan-Uwe Finck                                          *
 * Internet: Jan-Uwe.Finck@bigfoot.de                               *
 *  Address: Schneverdingerstr.42                                   *
 *           D- 28329 Bremen   					    *	
 * Fixes from : Martin Lesser, Germany				    *
 *  07/28/99                           			            *
\********************************************************************/

#ifndef __XACC_MESSAGES_GE_H__
#define __XACC_MESSAGES_GE_H__

#include "config.h"

/** MISC INTERNATIONALIZATION PIECES-PARTS: ******************************/

/* hack alert -- Linux seems not to support localeconv()
 * for getting currency symbols & monetary units.  Besides,
 * I couldn't find a routine that would print currency amounts anyway... 
 */
#define CURRENCY_SYMBOL  "DM"

/* hack alert -- Should also set UK_DATES to change date 
 * processing in src/engine/date.h 
 */

/* hack alert -- should probably use gnu libintl gettext() functions to do the
 * i18n of this file.    Someothing like this:
 *
 * #include <libintl.h>
 * #define SOME_STR gettext (En_SOME_STR)
 * Note that the gnomeui already has some kind of i18n thing going, we should
 * probably follow that model.
 */


/** DIALOG BOX MESSAGES: ********************************************/
#define ACC_NEW_MSG       "Mchten Sie ein neues Konto erzeugen ?\n"\
                          "Wenn nicht, dann whlen Sie bitte ein zu\n"\
                          "ffnendes Konto im Haupt-Fenster.\n"
#define ACC_EDIT_MSG      "Um ein Konto zu bearbeiten, mssen Sie zuerst \n"\
                          "eines auswhlen.\n"
#define ACC_DEL_MSG       "Um ein Konto zu lschen, mssen Sie zuerst \n"\
                          "eines auswhlen.\n"
#define ACC_DEL_SURE_MSG  "Sind sie sicher das sie das %s Konto lschen wollen?"
#define ACC_NO_NAME_MSG   "Das Konto mu einen Namen erhalten! \n"
#define EDIT_CURRENCY_MSG "Es ist gefhrlich die Whrung eines Kontos\n"\
                          "zu ndern. Sie wollen ihn von\n"\
                          "%s zu %sndern.\nSind sie sicher?\n" 
#define EDIT_SECURITY_MSG "Es ist gefrlich die Whrung eines Kontos\n"\
                          "zu ndern.  sie wollen ihn von\n"\
                          "%s zu %s ndern.\nSind sie sicher?\n" 
#define FILE_TOO_OLD_MSG  "Diese Datei ist von einer lteren Version von "\
                          "GnuCash.  \nMchten sie fortfahren?"
#define FILE_TOO_NEW_MSG  "Diese Datei ist von einer neueren Version von "\
                          "GnuCash.  \nMchten Sie fortfahren?"
#define FILE_BAD_READ_MSG "Es gab einen Fehler beim ffnen der Datei. \n"\
                          "Mchten Sie fortfahren?"
#define FILE_NOT_FOUND_MSG "Die Datei \n    %s\n konnte nicht gefunden werden."
#define FILE_EMPTY_MSG    "Die Datei \n    %s\n ist leer."
#define FMB_SAVE_MSG      "Es wurden Vernderungen seit der letzten "\
                          "Speicherung vorgenommen.  nderungen jetzt speichern?"
#define FMB_EEXIST_MSG    "Die Datei \n    %s\n existiert bereits.\n"\
                          "Sind sie sicher, da sie berschrieben werden soll?"
#define FMB_INVALID_MSG   "Der Pfad \n    %s\n"\
                          "ist keine gltige Angabe fr dieses Filesystem."
#define FMB_LOCKED_MSG    "Die Datei \n    %s\n"\
                          "wird vermutlich von einem anderen User benutzt..\n"\
                          "Wenn das nicht so ist, lschen Sie bitte die .LCK Datei "\
                          "und versuchen Sie es erneut."
#define RECN_TRANS_WARN   "Warnung!  This is a reconciled transaction. "\
                          "Mchten Sie fortfahren?"
#define TRANS_DEL_MSG     "Sind sie sicher da sie \n  %s von der\n"\
                          "Transaktion lschen wollen\n   %s ?"

#define XFER_NSF_MSG      "Es mssen zumindest zwei Konten erffnet\n"\
                          "werden bevor Sie Geld transferieren knnen."
#define XFER_DIFF_MSG     "Die \"Von\" und \"Zu\" Konten\n mssen verschieden sein!"
#define XFER_SAME_MSG     "Sie knnen nicht von und zu dem selben Konto transferieren !"
#define XFER_NO_ACC_MSG   "Sie mssen ein Konto zum Transferieren angeben zu dem, \n"\
                          "oder von dem transferiert werden soll oder beides; sonst \n"\
                          "findet keine Transaktion statt.."


/* Tooltip phrases */
#define TOOLTIP_OPEN	"Konto ffnen."
#define TOOLTIP_NEW	"Ein neues Konto erffnen."
#define TOOLTIP_EDIT	"Gewahltes Konto bearbeiten."
#define TOOLTIP_DELETE	"Gewhltes Konto lschen."
#define TOOLTIP_EXIT	"GnuCash verlassen."
			  
/** MISC INTERNATIONALIZATION STRINGS: ******************************/

/* phrases */
#define ACC_CODE_STR     "Kontonummer (intern)"
#define ACC_NAME_STR     "Kontobezeichnung"
#define ACC_TYPE_STR     "Kontoart"
#define ADJ_BALN_STR     "Saldo berichtigen"
#define CLOSE_WIN_STR    "Fenster schliessen"
#define CREDIT_CARD_STR  "Kreditkarte"
#define CREDITLINE_STR   "Kreditrahmen"         /* Line of Credit */
#define DEL_ACC_STR      "Konto lschen"
#define DEL_TRANS_STR    "Buchung lschen" 
#define EDIT_ACCT_STR    "Konto bearbeiten"
#define END_BALN_STR     "Schlusaldo"
#define HIDE_INC_EXP_STR "Einknfte/Ausgaben verstecken"
#define IMPORT_QIF_STR   "QIF-File importieren"
#define LOST_ACC_STR     "Verlorene Konten"
#define MONEYMRKT_STR    "Geldmarkt"
#define MUTUAL_FUND_STR  "Investmentfonds"
#define NEW_ACC_STR      "Neues Konto"
#define NEW_BALN_STR     "Neuer Saldo"
#define NEW_FILE_STR     "Neue Datei"
#define OPEN_ACC_STR     "Konto ffnen"
#define OPEN_BALN_STR    "Erffnungs-Saldo"
#define OPEN_FILE_STR    "Datei ffnen"
#define OPEN_SUB_STR     "ffnen Unterkonten"
#define PICK_ONE_STR     "Eines auswhlen"
#define PARENT_ACC_STR   "Ursprungs-Konto"
#define PREV_BALN_STR    "Vorheriger Saldo"
#define PURCH_PRIC_STR   "Kaufpreis"
#define QUOTE_SRC_STR    "Preisberechnungsquelle"
#define SALE_PRIC_STR    "Verkaufspreis"
#define SAVE_AS_STR      "Speichern als"
#define SETUP_ACCT_STR   "Konto erffnen"
#define SHOW_INC_EXP_STR "Anzeigen Einnahmen/Ausgaben"
#define TOT_SHRS_STR     "Anzahl Aktien gesamt"
#define XFER_MONEY_STR   "Geld bertragen"
#define XFRM_STR         "Gegenkonto"
#define XFTO_STR         "Transferiere auf"

/* single words */
#define ABOUT_STR        "ber"
#define ACCOUNT_STR      "Konto"
#define ACCOUNTS_STR     "Konten"
#define ACH_STR          "AutoDepot"   /* Automatic Check Handling auto deposit */
#define ACTION_STR       "Aktion"
#define ACTIVITIES_STR   "Aktivitten"
#define AMT_STR          "Betrag"
#define APPR_STR         "Wertsteigerung"
#define ARU_STR          "Telefon"   /* Automated Response Unit telephone xfer */
#define ASSET_STR        "Vermgen"
#define ASSETS_STR       "Vermgenssaldo"
#define ATM_STR          "Geldautomat"
#define BACK_STR         "Zurck"
#define BALN_STR         "Saldo"
#define BANK_STR         "Bank"
#define BOUGHT_STR       "Gekauft"
#define BUY_STR          "Kauf"
#define CANCEL_STR       "Abbrechen"
#define CASH_STR         "Bargeld"
#define CHARGE_STR       "Belastung"
#define CHECK_STR        "Scheck"
#define CHECKING_STR     "Girokonto"
#define CLEARED_STR      "Abgestimmt"
#define CLOSE_STR        "Schliessen"
#define COMMIT_STR       "berweisung"
#define CREATE_STR       "Anlegen"
#define CREDIT_STR       "Haben"
#define CREDITS_STR      "Kredite"
#define CURRENCY_STR     "Fremdwhrungsdepot"
#define DATE_STR         "Datum"
#define DEBIT_STR        "Soll"
#define DEBITS_STR       "Schulden"
#define DECREASE_STR     "Abnahme"
#define DEFICIT_STR      "Defizit"
#define DELETE_STR       "Lschen"
#define DEPOSIT_STR      "Gutschrift"
#define DEPR_STR         "Kursverlust"
#define DESC_STR         "Beschreibung"
#define DIFF_STR         "Unterschiedsbetrag"
#define DIST_STR         "Spende"
#define DIV_STR          "Dividende"     /* Dividend */
#define EDIT_STR         "Bearbeiten"
#define EQUITY_STR       "Nettowert"
#define EXPENSE_STR      "Ausgabe"
#define FEE_STR          "Gebhr"
#define FILE_STR         "Datei"
#define FORWARD_STR      "Vorwrts"
#define FROM_STR         "Von"
#define HELP_STR         "Hilfe"
#define INCOME_STR       "Einnahme"
#define INCREASE_STR     "Zunahme"
#define INT_STR          "Beteiligung"
#define LIABILITY_STR    "Kreditkonto"
#define LICENSE_STR      "Lizenz"
#define LOAN_STR         "Darlehen"   
#define LTCG_STR         "Zinsen aus langfristigen Kapitalanlagen"
#define MEMO_STR         "Memo"
#define NEW_STR          "Neu"
#define NO_STR           "Nein"
#define NONE_STR         "(kein(e))"
#define NOTES_STR        "Notizen"
#define NUM_STR          "Num"
#define OK_STR           "Ok"
#define ONLINE_STR       "Online"
#define OPEN_STR         "ffnen"
#define PAYMENT_STR      "Belastung"
#define POS_STR          "Karten-Terminal"
#define PRICE_STR        "Preis"
#define PRINT_STR        "Drucken"
#define PROFITS_STR      "Saldo Einnahmen/Ausgaben"
#define QUIT_STR         "Beenden"
#define REBATE_STR       "Rabatt"
#define RECEIVE_STR      "Empfangen"
#define RECONCILE_STR    "Abstimmen"
#define RECORD_STR       "Eintragen"
#define REPORT_STR       "Bericht"
#define SAVE_STR         "Sichern"
#define SAVINGS_STR      "Ersparnisse"
#define SCRUB_STR        "Ausbuchen"		/* Glattstellen ? */
#define SECURITY_STR     "Krzel (Ticker)"
#define SELL_STR         "Verkauf"
#define SIMPLE_STR       "Einfach"
#define SOLD_STR         "Verkauft"
#define SPEND_STR        "Ausgabe"
#define SPLIT_STR        "Split"
#define STCG_STR         "Zinsen aus kurzfristigen Anlagen"
#define STOCK_STR        "Depot"
#define SURPLUS_STR      "berschu"
#define TELLER_STR       "Automat"
#define TO_STR           "Zu"
#define TOTAL_STR        "Gesamt"
#define TYPE_STR         "Typ"
#define TRANSFER_STR     "bertrag"
#define VALUE_STR        "Wert"
#define WARN_STR         "WARNUNG"
#define WIRE_STR         "Telegrafische Zahlung"
#define WITHDRAW_STR     "Abhebung"
#define YES_STR          "Ja"

/* create strings with elipses, colons at end, etc. */
#include "messages_nolang.h"

#endif /* __XACC_MESSAGES_H__ */

