/********************************************************************\
 * messages.h -- French Language strings & messages for GnuCash     *
 * Copyright (C) 1997 Robin D. Clark                                *
 * Copyright (C) 1997,1998 Linas Vepstas                            *
 * Copyright (C) 1998,1999 Yannick LE NY (traduction en francais)   *
 *                                                                  *
 * This program is free software; you can redistribute it and/or    *
 * modify it under the terms of the GNU General Public License as   *
 * published by the Free Software Foundation; either version 2 of   *
 * the License, or (at your option) any later version.              *
 *                                                                  *
 * This program is distributed in the hope that it will be useful,  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    *
 * GNU General Public License for more details.                     *
 *                                                                  *
 * You should have received a copy of the GNU General Public License*
 * along with this program; if not, write to the Free Software      *
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 *                                                                  *
\********************************************************************/

#ifndef __GNUCASH_MESSAGES_FR_H__
#define __GNUCASH_MESSAGES_FR_H__

#include "config.h"


/** MISC INTERNATIONALIZATION STRINGS: ******************************/
/* hack alert -- Linux seems not to support localeconv()
 * for getting currency symbols & monetary units.  Besides,
 * I couldn't find a routine that would print currency amounts anyway...
 */
 
 #define CURRENCY_SYMBOL  "F"


/* ought to define UK_DATES here, but we're doing it in date.h
 * so that date.c is aware of it */

/* hack alert -- Should also set UK_DATES to change date 
 * processing in src/engine/date.h 
 */

/* hack alert -- should probably use gnu libintl gettext() functions to do the
 * i18n of this file.    Someothing like this:
 *
 * #include <libintl.h>
 * #define SOME_STR gettext (En_SOME_STR)
 * Note that the gnomeui already has some kind of i18n thing going, we should
 * probably follow that model.
 */


/** DIALOG BOX MESSAGES: ********************************************/
#define ACC_NEW_MSG       "Voulez-vous crer un nouveau compte?\n"\
                          "Sinon, slectionnez alors un compte\n"\
                          " ouvrir dans la fenetre principale.\n"
#define ACC_EDIT_MSG      "Pour afficher un compte, vous devez d'abord \n"\
                          "choisir un compte  afficher.\n"
#define ACC_DEL_MSG       "Pour supprimer un compte, vous devez d'abord \n"\
                          "choisir un compte  supprimer.\n"
#define ACC_DEL_SURE_MSG  "Etes-vous sur de vouloir supprimer le compte %s ?"
#define ACC_NO_NAME_MSG   "Un nom doit etre donn au compte! \n"
#define EDIT_CURRENCY_MSG "Il est dangereux de changer le type de monnaie\n"\
                          "d'un compte.  Vous demandez a le changer\n"\
                          "de %s vers %s\nEtes-vous sur?\n" 
#define EDIT_SECURITY_MSG "Il est dangereux de changer le type de monnaie\n"\
                          "d'un compte.  Vous demandez a le changer\n"\
                          "de %s vers %s\nEtes-vous sur?\n"                          
#define FILE_TOO_OLD_MSG  "Ce fichier provient d'une ancienne version de "\
                          "GnuCash.  Voulez-vous continuer?"
#define FILE_TOO_NEW_MSG  "Ce fichier semble provenir d'une nouvelle version "\
                          "de GnuCash.  Voulez-vous continuer?"
#define FILE_BAD_READ_MSG "Il y a une erreur de lecture du fichier. "\
                          "Voulez-vous continuer?"
#define FILE_NOT_FOUND_MSG "Le fichier \n    %s\n ne peut pas etre trouv."
#define FILE_EMPTY_MSG    "Le fichier \n    %s\n est vide."
#define FMB_SAVE_MSG      "Des changements ont t fait depuis la derniere "\
                          "sauvegarde.\nEnregistrer les changements dans le fichier?"
#define FMB_EEXIST_MSG    "Le fichier \n    %s\n existe dj.\n"\
                          "Etes-vous sur de vouloir l'craser ?"
#define FMB_INVALID_MSG   "Le chemin du fichier \n    %s\n"\
                          "n'est pas un chemin valide dans le systme de fichiers."
#define FMB_LOCKED_MSG    "Le fichier \n    %s\n"\
                          "apparait etre utiliser par un autre utilisateur.\n"\
                          "Si ce n'est pas le cas, supprimer le fichier .LCK "\
                          "et essayer de nouveau."                          
#define RECN_TRANS_WARN   "Attention! Ceci est une transaction de rapprochement. "\
                          "Voulez-vous continuer?"
#define TRANS_DEL_MSG     "Etes-vous sur de vouloir \n supprimer la transaction \n %s ?"
#define XFER_NSF_MSG      "Il doit y avoir au moins deux comptes\n"\
                          "crs avant que vous puissiez transfrer des fonds."
#define XFER_DIFF_MSG     "Le \"depuis\" et \"vers\" les comptes\n doivent etre differents!"
#define XFER_SAME_MSG     "Vous ne pouvez pas transfrer depuis et vers le meme compte!"
#define XFER_NO_ACC_MSG   "Vous devez spcifier un compte  transfrer depuis, \n"\
                          "ou vers,ou l'un et l'autre, pour cette transaction; \n"\
                          "autrement il ne sera pas enregistr."

/* Tooltip phrases */
#define TOOLTIP_OPEN	"Ouvrir un compte."
#define TOOLTIP_NEW	"Crer un nouveau compte."
#define TOOLTIP_EDIT	"Afficher le compte slectionn."
#define TOOLTIP_DELETE	"Supprimer le compte slectionn."
#define TOOLTIP_EXIT	"Quitter GnuCash."
			  
/** MISC INTERNATIONALIZATION STRINGS: ******************************/

/* phrases */
#define ACC_CODE_STR     "Code du compte"
#define ACC_NAME_STR     "Nom du compte"
#define ACC_TYPE_STR     "Type du compte"
#define ADJ_BALN_STR     "Ajuster le solde"
#define CLOSE_WIN_STR    "Fermer la fenetre"
#define CREDIT_CARD_STR  "Carte de crdit"
#define CREDITLINE_STR   "Ligne de crdit"         /* Line of Credit */
#define DEL_ACC_STR      "Supprimer le compte"
#define DEL_TRANS_STR    "Supprimer la transaction"
#define EDIT_ACCT_STR    "Afficher un compte"
#define END_BALN_STR     "Solde final"
#define HIDE_INC_EXP_STR "Cacher Revenus/Dpenses"
#define IMPORT_QIF_STR   "Importer QIF"
#define LOST_ACC_STR     "Comptes perdus/abandonns"
#define MONEYMRKT_STR    "March montaire"
#define MUTUAL_FUND_STR  "SICAV / FCP "
#define NEW_ACC_STR      "Nouveau compte"
#define NEW_BALN_STR     "Nouveau solde"
#define NEW_FILE_STR     "Nouveau fichier"
#define OPEN_ACC_STR     "Ouvrir compte"
#define OPEN_BALN_STR    "Solde initial"
#define OPEN_FILE_STR    "Ouvrir fichier"
#define OPEN_SUB_STR     "Ouvrir sous-comptes"
#define PICK_ONE_STR     "Choisissez en un"
#define PARENT_ACC_STR   "Compte parent"
#define PREV_BALN_STR    "Prcdent solde"
#define PURCH_PRIC_STR   "Prix d'achat"
#define QUOTE_SRC_STR    "Source des cours d'actions"
#define SALE_PRIC_STR    "Prix de vente"
#define SAVE_AS_STR      "Enregistrer sous"
#define SETUP_ACCT_STR   "Dresser un compte"
#define SHOW_INC_EXP_STR "Montrer Revenus/Dpenses"
#define TOT_SHRS_STR     "Nombre"
#define XFER_MONEY_STR   "Transfert d'argent"
#define XFRM_STR         "Transfert depuis"
#define XFTO_STR         "Transferer "


/* single words */
#define ABOUT_STR        "A propos de"
#define ACCOUNT_STR      "Compte"
#define ACCOUNTS_STR     "Comptes"
#define ACH_STR          "Dpot Automatique"   /* Automatic Check Handling auto deposit */
#define ACTION_STR       "Action"
#define ACTIVITIES_STR   "Activites"
#define AMT_STR          "Montant"
#define APPR_STR         "Apprciation"
#define ARU_STR          "Tlphone"   /* Automated Response Unit telephone xfer */
#define ASSET_STR        "Avoir"
#define ASSETS_STR       "Avoirs"
#define ATM_STR          "ATM"          /* automatic teller machine */
#define BACK_STR         "Prcdent"
#define BALN_STR         "Solde"
#define BANK_STR         "Banque"
#define BOUGHT_STR       "Achet"
#define BUY_STR          "Acheter"
#define CANCEL_STR       "Annuler"
#define CASH_STR         "Liquidits"
#define CHARGE_STR       "Prix"
#define CHECK_STR        "Vrifier"
#define CHECKING_STR     "Vrification"
#define CLEARED_STR      "Solde point"
#define CLOSE_STR        "Fermer"
#define COMMIT_STR       "Livrer"
#define CREATE_STR       "Crr"
#define CREDIT_STR       "Crdit"
#define CREDITS_STR      "Crdits"
#define CURRENCY_STR     "Monnaie"
#define DATE_STR         "Date"
#define DEBIT_STR        "Debit"
#define DEBITS_STR       "Debits"
#define DECREASE_STR     "Rduire"
#define DEFICIT_STR      "Dficit"
#define DELETE_STR       "Supprimer"
#define DEPOSIT_STR      "Depot"
#define DEPR_STR         "Dprciation"
#define DESC_STR         "Description"
#define DIFF_STR         "Diffrence"
#define DIST_STR         "Dist"    /* Distribution */
#define DIV_STR          "Div"     /* Dividend */
#define EDIT_STR         "Afficher"
#define EQUITY_STR       "Capitaux propres"
#define EXPENSE_STR      "Dpense"
#define FEE_STR          "Taxes/Impots"
#define FILE_STR         "Fichier"
#define FORWARD_STR      "Suivant"
#define FROM_STR         "Depuis"
#define HELP_STR         "Aide"
#define INCOME_STR       "Revenus"
#define INCREASE_STR     "Augmenter"
#define INT_STR          "Int"     /* Interest */
#define LIABILITY_STR    "Dette"
#define LICENSE_STR      "Licence"
#define LOAN_STR         "Emprunt"
#define LTCG_STR         "LTCG"    /* Long Term Capital Gains */
#define MEMO_STR         "Memo"
#define NEW_STR          "Nouveau"
#define NO_STR           "Non"
#define NONE_STR         "(aucun)"
#define NOTES_STR        "Notes"
#define NUM_STR          "Num"
#define OK_STR           "Ok"
#define ONLINE_STR       "En ligne"
#define OPEN_STR         "Ouvrir"
#define PAYMENT_STR      "Paiement"
#define POS_STR          "DAB"  /* Point of Sale credit card machine=distrib auto de billets */
#define PRICE_STR        "Cours"
#define PRINT_STR        "Imprimer"
#define PROFITS_STR      "Profits"
#define QUIT_STR         "Quitter"
#define REBATE_STR       "Rabais"
#define RECEIVE_STR      "Reu"
#define RECONCILE_STR    "Rapprocher"
#define RECORD_STR       "Enregistrer"
#define REPORT_STR       "Rapport"
#define SAVE_STR         "Sauvegarder"
#define SAVINGS_STR      "Epargne"
#define SCRUB_STR        "Fouiller"
#define SECURITY_STR     "Valeur"
#define SELL_STR         "Vendre"
#define SIMPLE_STR       "Simple"
#define SOLD_STR         "Vendu"
#define SPEND_STR        "Depense"
#define SPLIT_STR        "Diviser"
#define STCG_STR         "STCG"   /* Short Term Captial Gains */
#define STOCK_STR        "Actions"
#define SURPLUS_STR      "Excdent"
#define TELLER_STR       "Caissier"
#define TO_STR           "Vers"
#define TOTAL_STR        "Total"
#define TYPE_STR         "Type"
#define TRANSFER_STR     "Transfrer"
#define VALUE_STR        "Montant"
#define WARN_STR         "ATTENTION"
#define WIRE_STR         "Tltransmission"         /* Electronic Wire transfer */
#define WITHDRAW_STR     "Se retirer"
#define YES_STR          "Oui"

/* with elipses, colons at end */
#include "messages_nolang.h"

#endif /* __GNUCASH_MESSAGES_FR_H__ */
